%define name imgSeek
%define version 0.8.6
%define release %mkrel 2

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: Photo collection manager and viewer with content-based query
License: 	GPL
Group:		Graphics
Url: 		http://imgseek.sourceforge.net/
Source0: 	http://downloads.sourceforge.net/imgseek/%{name}-%{version}.tar.bz2
Patch1:     imgseek-0.8.6-ImageDB-name-change.patch
Patch2:     imgseek-0.8.6-lib64.patch
Requires: 	python-qt >= 3.4
Requires: 	python-imaging
Requires: 	libjpeg-progs
BuildRequires:	python-qt
BuildRequires:	python-devel
BuildRequires:	qt3-devel

%description
imgSeek is a photo collection manager and viewer with content-based search 
and many other features. The query is expressed either as a rough sketch 
painted by the user or as another image you supply (or an image in your 
collection).

%prep
%setup -q
%patch1 -p1
%patch2 -p1
rm -rf distutils

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

cd imgSeekLib/
g++ -DNDEBUG -fPIC -I%qt3dir/include -I%{_includedir}/python2.5/ -c imgdb.cpp -o imgdb.o
g++ -DNDEBUG -fPIC -I%qt3dir/include -I%{_includedir}/python2.5/ -c haar.cpp -o haar.o
g++ -shared imgdb.o haar.o -L%qt3dir/%_lib -lqt-mt -o imgdb.so 

%__cp imgdb.so %buildroot%{py_platsitedir}
cd -

#menu
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Graphics;Viewer;
Name=ImgSeek
Comment=ImgSeek Photo Manager
Exec=%{_bindir}/%{name}
Icon=%{name}
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/applications/mandriva-%{name}.desktop
%doc ChangeLog README THANKS AUTHORS
%{_bindir}*
%{_datadir}/%{name}
%{py_platsitedir}/imgSeekLib
%{py_platsitedir}/imgSeek-*.egg-info
%{py_platsitedir}/imgdb.so


%changelog
* Mon Feb 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.6-2mdv2008.1
+ Revision: 162398
- really fix imgdb module import issue (#27691)
  fix build on x86_64 host

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add imgdb.so to file list (Bug #27691)

* Tue Dec 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.6-1mdv2008.1
+ Revision: 132433
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - auto-convert XDG menu entry
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.4-2mdk
- Fix BuildRequires
- use mkrel

* Fri Mar 18 2005 Michael Scherer <misc@mandrake.org> 0.8.4-1mdk
- New release 0.8.4
- fix #13990, with a patch from Carsten Lohrke ( gentoo dev )
- fix rpmlint warning

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.3-3mdk
- Rebuild for new  python

* Mon Jul 05 2004 Michael Scherer <misc@mandrake.org> 0.8.3-2mdk 
- rebuild for new gcc

* Tue Apr 13 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.3-1mdk
- contributed by  UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
 - new release
 - fix BuildRequires (+libqt3-devel)

* Tue Sep 16 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.8.2-0.rc1.1mdk
- First mandrake package based on spec in source
- fixes for python-2.3 (p0) from author
- add menu

